std::chrono::time_point< _Clock, _Dur > Class Template Reference
Utilities » Time

## Public Types

typedef _Clock | clock
typedef _Dur | duration
typedef duration::period | period
typedef duration::rep | rep

## Public Member Functions

constexpr | time_point (const duration &__dur)
template<typename _Dur2 , typename = _Require<is_convertible<_Dur2, _Dur>>>
constexpr | time_point (const time_point< clock, _Dur2 > &__t)
constexpr time_point & | operator++ ()
constexpr time_point | operator++ (int)
constexpr time_point & | operator+= (const duration &__dur)
constexpr time_point & | operator-- ()
constexpr time_point | operator-- (int)
constexpr time_point & | operator-= (const duration &__dur)
constexpr duration | time_since_epoch () const

## Static Public Member Functions

static constexpr time_point | max () noexcept
static constexpr time_point | min () noexcept

## Related Symbols

(Note that these are not member symbols.)
template<typename _Clock , typename _Dur1 , typename _Rep2 , typename _Period2 >
constexpr time_point< _Clock, typename common_type< _Dur1, duration< _Rep2, _Period2 > >::type > | operator+ (const time_point< _Clock, _Dur1 > &__lhs, const duration< _Rep2, _Period2 > &__rhs)

## Detailed Description

template<typename _Clock, typename _Dur>
class std::chrono::time_point< _Clock, _Dur >

`chrono::time_point` represents a point in time as measured by a clock

Definition at line 900 of file chrono.h.

## Member Typedef Documentation

## clock

template<typename _Clock , typename _Dur >

typedef _Clock std::chrono::time_point< _Clock, _Dur >::clock

Definition at line 906 of file chrono.h.

## duration

template<typename _Clock , typename _Dur >

typedef _Dur std::chrono::time_point< _Clock, _Dur >::duration

Definition at line 907 of file chrono.h.

## period

template<typename _Clock , typename _Dur >

typedef duration::period std::chrono::time_point< _Clock, _Dur >::period

Definition at line 909 of file chrono.h.

## rep

template<typename _Clock , typename _Dur >

typedef duration::rep std::chrono::time_point< _Clock, _Dur >::rep

Definition at line 908 of file chrono.h.

## Constructor & Destructor Documentation

## time_point() [1/3]

template<typename _Clock , typename _Dur >

constexpr std::chrono::time_point< _Clock, _Dur >::time_point | ( |  | ) |

inline constexpr

Definition at line 911 of file chrono.h.

## time_point() [2/3]

template<typename _Clock , typename _Dur >

constexpr std::chrono::time_point< _Clock, _Dur >::time_point | ( | const duration & | __dur | ) |

inline explicit constexpr

Definition at line 914 of file chrono.h.

## time_point() [3/3]

template<typename _Clock , typename _Dur >
template<typename _Dur2 , typename = _Require<is_convertible<_Dur2, _Dur>>>

constexpr std::chrono::time_point< _Clock, _Dur >::time_point | ( | const time_point< clock, _Dur2 > & | __t | ) |

inline constexpr

Definition at line 921 of file chrono.h.

## Member Function Documentation

## max()

template<typename _Clock , typename _Dur >

static constexpr time_point std::chrono::time_point< _Clock, _Dur >::max | ( |  | ) |

inline static constexpr noexcept

Definition at line 975 of file chrono.h.

## min()

template<typename _Clock , typename _Dur >

static constexpr time_point std::chrono::time_point< _Clock, _Dur >::min | ( |  | ) |

inline static constexpr noexcept

Definition at line 971 of file chrono.h.

## operator++() [1/2]

template<typename _Clock , typename _Dur >

constexpr time_point & std::chrono::time_point< _Clock, _Dur >::operator++ | ( |  | ) |

inline constexpr

Definition at line 932 of file chrono.h.

## operator++() [2/2]

template<typename _Clock , typename _Dur >

constexpr time_point std::chrono::time_point< _Clock, _Dur >::operator++ | ( | int |  | ) |

inline constexpr

Definition at line 939 of file chrono.h.

## operator+=()

template<typename _Clock , typename _Dur >

constexpr time_point & std::chrono::time_point< _Clock, _Dur >::operator+= | ( | const duration & | __dur | ) |

inline constexpr

Definition at line 956 of file chrono.h.

## operator--() [1/2]

template<typename _Clock , typename _Dur >

constexpr time_point & std::chrono::time_point< _Clock, _Dur >::operator-- | ( |  | ) |

inline constexpr

Definition at line 943 of file chrono.h.

## operator--() [2/2]

template<typename _Clock , typename _Dur >

constexpr time_point std::chrono::time_point< _Clock, _Dur >::operator-- | ( | int |  | ) |

inline constexpr

Definition at line 950 of file chrono.h.

## operator-=()

template<typename _Clock , typename _Dur >

constexpr time_point & std::chrono::time_point< _Clock, _Dur >::operator-= | ( | const duration & | __dur | ) |

inline constexpr

Definition at line 963 of file chrono.h.

## time_since_epoch()

template<typename _Clock , typename _Dur >

constexpr duration std::chrono::time_point< _Clock, _Dur >::time_since_epoch | ( |  | ) | const

inline constexpr

Definition at line 927 of file chrono.h.

The documentation for this class was generated from the following file:

- chrono.h